GWENT: The Witcher Card Game

Select Platform

Cyberpunk 2077

Select Platform

The Witcher 3: Wild Hunt

Select Platform

CD PROJEKT RED

Select Platform

Thronebreaker: The Witcher Tales

Select Platform

The Witcher

Select Platform

The Witcher 2: Assassins of Kings

Select Platform

Older Windows 10 versions – game crashes on launch

Created 3 years ago  Updated 9 months ago

Notably the crashes on launch occur on the older Windows 10 versions, e.g. version 1607 (Build 14393) and version 1703 (Build 15063). This is because the updated version of DirectX 12, that Cyberpunk 2077 uses, was released later than the mentioned builds.
If your Windows 10 version is below 2004, please update it to the most recent one. To check the version of your OS press Win+R and open "winver"